package de.hft.stuttgart.citygml.green.alkis;

import static org.junit.jupiter.api.Assertions.assertFalse;
import static org.junit.jupiter.api.Assertions.assertTrue;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import org.junit.jupiter.api.Test;


class AlkisGreenEnricherTest
{
	@Test
	void testAlkisGreen() throws Exception {
		Path outputGML = Paths.get("data/Grombühl_v4_case_study_with_alkis_greens_realistic.gml");
		Files.deleteIfExists(outputGML);
		assertFalse(Files.exists(outputGML));
		String[] args = new String[] { "data/Grombühl_v4_case_study.gml", // Input GML
				"data/tn_09663/Nutzung.shp", // ALKIS Data
				"data/Trees/Trees_realisticScenario_20240201.shp", // Added trees, in Baumkatasterformat,
				"with_alkis_greens_realistic" // Output GML suffix
		};
		AlkisGreenEnricher.main(args);
		assertTrue(Files.exists(outputGML));
	}
}
